Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_4
Class ObjectFactory

    java.lang.Object
      org.etsi.uri._01903.v1_4.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.etsi.uri._01903.v1_4 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.etsi.uri._01903.v1_4

Method Summary
`JAXBElement<XAdESTimeStampType>` | `createArchiveTimeStampV2(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`TimeStampValidationData` | `createTimeStampValidationData()` Create an instance of `TimeStampValidationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.etsi.uri._01903.v1_4

Method Detail

### createTimeStampValidationData

    public TimeStampValidationData createTimeStampValidationData()

  Create an instance of `TimeStampValidationData`

### createArchiveTimeStampV2

    public JAXBElement<XAdESTimeStampType> createArchiveTimeStampV2(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.